Bug 850266 - Introduce new systemd-rpm macros in pdns spec file
Introduce new systemd-rpm macros in pdns spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pdns (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Morten Stevens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:58 EDT by Lukáš Nykrýn
Modified: 2012-10-15 08:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 08:37:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:58:25 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora Update System 2012-09-24 18:09:48 EDT
pdns-3.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pdns-3.1-4.fc18
Comment 2 Fedora Update System 2012-09-25 02:04:18 EDT
Package pdns-3.1-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pdns-3.1-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14731/pdns-3.1-4.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Admin XMLRPC Client 2012-10-06 10:24:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Morten Stevens 2012-10-15 08:37:26 EDT
Fixed in:

pdns-3.1-4.fc18

Note You need to log in before you can comment on or make changes to this bug.